Package com.independentsoft.office.odf.forms

# Class ValueRange

java.lang.Object
com.independentsoft.office.odf.forms.Control
com.independentsoft.office.odf.forms.ValueRange

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

public class ValueRange extends Control
Defines a control which allows the user to select a value from a continuous number range.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.forms.Control

  `eventListeners, parent, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueRange()`
  Initializes a new instance of the ValueRange class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValueRange`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `String`
  `getID()`
  Gets an identifier for a control element.
  `String`
  `getMaximumValue()`
  Gets the maximum value that a user can enter.
  `String`
  `getMinimumValue()`
  Gets the minimum value that a user can enter.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `Orientation`
  `getOrientation()`
  Gets the orientation of a control.
  `int`
  `getPageStepSize()`
  Specifies the second-level increment used for a control representing a value.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getRepeatDelay()`
  Gets the time-out to be used before a pressed mouse button results in repeating an action.
  `int`
  `getStepSize()`
  Specifies the increment used for a control representing a value.The default value for this attribute is 1.
  `String`
  `getValue()`
  Gets the default value of an input control.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setID​(String id)`
  Sets an identifier for a control element.
  `void`
  `setMaximumValue​(String maximumValue)`
  Sets the maximum value that a user can enter.
  `void`
  `setMinimumValue​(String minimumValue)`
  Sets the minimum value that a user can enter.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setOrientation​(Orientation orientation)`
  Sets the orientation of a control.
  `void`
  `setPageStepSize​(int pageStepSize)`
  Specifies the second-level increment used for a control representing a value.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setRepeatDelay​(String repeatDelay)`
  Sets the time-out to be used before a pressed mouse button results in repeating an action.
  `void`
  `setStepSize​(int stepSize)`
  Specifies the increment used for a control representing a value.The default value for this attribute is 1.
  `void`
  `setValue​(String value)`
  Sets the default value of an input control.
  `String`
  `toString()`
  Converts the value of the current ValueRange object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.forms.Control

  `getEventListeners, getProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValueRange

    public ValueRange()
    Initializes a new instance of the ValueRange class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Control`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Control`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Control`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ValueRange clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Specified by:
      `clone` in class `Control`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ValueRange object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getID

    public String getID()
    Gets an identifier for a control element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for a control element.
    Parameters:
      `id` - the new id

  - ### getValue

    public String getValue()
    Gets the default value of an input control.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the default value of an input control.
    Parameters:
      `value` - the new value

  - ### getMinimumValue

    public String getMinimumValue()
    Gets the minimum value that a user can enter.
    Returns:
      the minimum value

  - ### setMinimumValue

    public void setMinimumValue​(String minimumValue)
    Sets the minimum value that a user can enter.
    Parameters:
      `minimumValue` - the new minimum value

  - ### getMaximumValue

    public String getMaximumValue()
    Gets the maximum value that a user can enter.
    Returns:
      the maximum value

  - ### setMaximumValue

    public void setMaximumValue​(String maximumValue)
    Sets the maximum value that a user can enter.
    Parameters:
      `maximumValue` - the new maximum value

  - ### getStepSize

    public int getStepSize()
    Specifies the increment used for a control representing a value.The default value for this attribute is 1.
    Returns:
      the step size

  - ### setStepSize

    public void setStepSize​(int stepSize)
    Specifies the increment used for a control representing a value.The default value for this attribute is 1.
    Parameters:
      `stepSize` - the new step size

  - ### getPageStepSize

    public int getPageStepSize()
    Specifies the second-level increment used for a control representing a value.
    Returns:
      the page step size

  - ### setPageStepSize

    public void setPageStepSize​(int pageStepSize)
    Specifies the second-level increment used for a control representing a value.
    Parameters:
      `pageStepSize` - the new page step size

  - ### getRepeatDelay

    public String getRepeatDelay()
    Gets the time-out to be used before a pressed mouse button results in repeating an action.
    Returns:
      the repeat delay

  - ### setRepeatDelay

    public void setRepeatDelay​(String repeatDelay)
    Sets the time-out to be used before a pressed mouse button results in repeating an action.
    Parameters:
      `repeatDelay` - the new repeat delay

  - ### getOrientation

    public Orientation getOrientation()
    Gets the orientation of a control.
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(Orientation orientation)
    Sets the orientation of a control.
    Parameters:
      `orientation` - the new orientation